Bug 189039 - math/ocaml-gsl: Update to 1.15.1
Summary: math/ocaml-gsl: Update to 1.15.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-26 23:10 UTC by Michael Grünewald
Modified: 2014-06-11 01:44 UTC (History)
0 users

See Also:


Attachments
file.diff (19.26 KB, patch)
2014-04-26 23:10 UTC, Michael Grünewald
no flags Details | Diff
patch-Mk-bsd-ocaml-mk.txt (527 bytes, patch)
2014-04-26 23:15 UTC, Michael Grünewald
no flags Details | Diff
patch for the math/ocamlgsl port itself (18.91 KB, patch)
2014-06-10 22:36 UTC, Michael Grünewald
no flags Details | Diff
patch for Mk/bsd.ocaml.mk (6.09 KB, text/plain)
2014-06-10 22:37 UTC, Michael Grünewald
no flags Details
patch for Mk/bsd.ocaml.mk (582 bytes, patch)
2014-06-10 23:19 UTC, Michael Grünewald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grünewald 2014-04-26 23:10:00 UTC
We want to have ocaml-gsl-1.15.1 in the ports and take the opportunity of the upgrade to add staging.

I still have a small issue on this, something causes pkg-static to print some noise, but I could not figure out the origin of this:

----8<----
===>   Registering installation for ocaml-gsl-1.15.1
pkg-static: lstat(/work/a/ports/math/ocamlgsl/work/stage/usr/local/lib/ocaml/site-lib/ocaml-gsl/): No such file or directory
---->8----

(See build logs on RedPorts https://redports.org/buildarchive/20140426214626-32751)/

Also, I have a patch to Mk/bsd.ocaml.mk which I will post as a followup to this PR.

Fix: Patch attached with submission follows:
Comment 1 Michael Grünewald 2014-04-26 23:15:18 UTC
This is the patch to Mk/bsd.ocaml.mk which I promised when opening the
ticket.
Comment 2 Klaus Aehlig 2014-05-10 16:59:31 UTC
While ports/189039 is not technically a maintainer update,
I'm happy that someone is interested in this port, as I'm
not using ocaml regularly any more. So, Michael, if you're
interested in taking over maintainership, feel free to do
so and change the MAINTAINER line.
Comment 3 John Marino freebsd_committer 2014-05-10 19:15:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->marino

I'll take it.
Comment 4 Michael Grünewald 2014-05-17 12:48:36 UTC
Hi Klaus,

since the port was *very* outdated I assumed it was not actually
maintained and subscribed myself as new MAINTAINER⦠I hope I did no went
*too* rogue! :-)

Michael
Comment 5 John Marino freebsd_committer 2014-06-02 11:59:52 UTC
Assuming the bsd.ocaml.mk patch is still valid (is it?), I would think that would affect the original patch.  Speaking of, the original patch obviously won't commit without conflict which I can tell from the first hunk.

Can somebody confirm bsd.ocaml.mk patch is good and regenerate the original patch set before I really look at this?
Comment 6 Michael Grünewald 2014-06-06 13:33:20 UTC
I am not sure what you mean.

I submitted the two patches separately because I did so using GNATS, which does not allow submitting several files simultaneously.

I think someone knowledgeable of bsd.ocaml.mk should review the patch to that file, the SVN history suggests that bapt could be the appropriate person.
Comment 7 John Marino freebsd_committer 2014-06-06 13:43:04 UTC
RE: bsd.ocaml.mk.
Are not you pretty much "Mr. OCaml" these days?  I think your opinion is as important as anyone is.  The patch basically looks correct to me, I had to apply something like that locally this week.

RE: the other patch
It obviously doesn't apply anymore, I can tell that from seeing the old header which has been gone a long time.  Can a new one be regenerate and attached?
Comment 8 Michael Grünewald 2014-06-10 22:36:34 UTC
Created attachment 143653 [details]
patch for the math/ocamlgsl port itself
Comment 9 Michael Grünewald 2014-06-10 22:37:15 UTC
Created attachment 143654 [details]
patch for Mk/bsd.ocaml.mk
Comment 10 Michael Grünewald 2014-06-10 22:39:12 UTC
So, I regenerated patches, I hope they now look fine!
Comment 11 John Marino freebsd_committer 2014-06-10 23:07:06 UTC
The ocamlgsl patch looks fine, but the bsd.ocaml.mk patch makes it appear that bsd.ocaml.mk doesn't exist, and this is the version version.

That's not the case -- I thought the patch would be like 10 new lines or something, applied against the existing file.  Maybe there was a mistake generating it?

And I assume it needs to be committed before the port is updated, is that correct?
Comment 12 Michael Grünewald 2014-06-10 23:19:01 UTC
Created attachment 143658 [details]
patch for Mk/bsd.ocaml.mk

Yes, there was a mistake.  The newly generated patch should now be clean!

> And I assume it needs to be committed before the port is updated,
> is that correct?

It is correct!
Comment 13 commit-hook freebsd_committer 2014-06-11 01:41:04 UTC
A commit references this bug:

Author: marino
Date: Wed Jun 11 01:40:10 UTC 2014
New revision: 357405
URL: http://svnweb.freebsd.org/changeset/ports/357405

Log:
  math/ocamlgsl: Update version 0.6.0 => 1.15.1

  As part of this update, bsd.ocaml.mk has been updated to essentially
  disable USE_OCAML_LDCONFIG for staged ports.  This means when all
  ocaml ports are staged, USE_OCAML_LDCONFIG won't work at all.  It
  breaks staging; I don't know what the long term plan is -- maybe some
  sort of post-install script will arrive...

  PR:		189039
  Submitted by:	maintainer (Michael Gruenewald)
  Portlint pets:	marino

Changes:
  head/Mk/bsd.ocaml.mk
  head/math/ocamlgsl/Makefile
  head/math/ocamlgsl/distinfo
  head/math/ocamlgsl/files/patch-Makefile
  head/math/ocamlgsl/files/patch-setup.ml
  head/math/ocamlgsl/pkg-plist